
typedef struct
{
	BYTE textureName[8];
	WORD always0_1, always0_2;
	WORD totalWidth, totalHeight;
	WORD always0_3, always0_4;
	WORD nPatchDescriptors;	
} TextureEntry;


typedef struct
{
	WORD xOffset, yOffset;
	WORD iPNamesEntry;
	WORD Always1, Always0;	
} Patch;


TextureID LoadSidedefTexture( DoomSidedef *pSidedef, MFile *pWadFile, DWORD directoryPos );
DWORD FindTexture( MFile *pWadFile, BYTE *pTexName, DWORD directoryPos );
BOOL ComposeTexture( MFile *pWadFile, DWORD directoryPos, DWORD texturePos, Texture *pNewTexture );
BOOL PastePatch( Texture *pPasteTo, Patch *pPasteFrom, MFile *pWadFile, DWORD directoryPos );
BOOL InitDoomTex( MFile *pWadFile, DWORD directoryPos );
BOOL UnInitDoomTex();

