class CLine
{
public:
	void SetTextureXLength( WORD newLength );


    Angle lineAngle;
    
    // These must be there.
    CPoint *pPoint1, *pPoint2;

	// Tells where the texture will be placed on the Line.
	WORD texOriginX, texOriginY, texHorzX, texHorzY;

    // Either of these can be set to BAD_TEXTURE_ID, in which case
    // that side isn't drawn.
    TextureID      idLeftTex, idRightTex;

    // If either of these is NULL, it's a terminal node in the BSP tree.
    CLine *pLeft, *pRight;

	// Normalized plane equation coefficents for the Line.  (Ax + By = -C)
	Fixed A, B, C;

	// For solid walls .. just a temp thing.
	BYTE wallColor;
};


